<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    package="com.yidianling.ydlcommon">

    <uses-permission android:name="android.permission.INTERNET" />
    <uses-permission android:name="android.permission.ACCESS_NETWORK_STATE" />
    <uses-permission android:name="android.permission.ACCESS_WIFI_STATE" />
    <uses-permission android:name="android.permission.READ_PHONE_STATE" />
    <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE" />
    <!--　配置通知栏伸缩权限：　　-->
    <uses-permission android:name="android.permission.EXPAND_STATUS_BAR"/>

    <application>
        <activity
            android:name=".custom.h5.NewH5Activity"
            android:screenOrientation="portrait"
            android:theme="@style/NoTitleTheme"/>
        <activity
            android:name=".custom.pay.PayActivity"
            android:screenOrientation="portrait" />
        <!--支付跳转中间页（目前只有测评入口使用）-->
        <activity
            android:name=".custom.pay.redpacket.jump.JumpPayActivity"
            android:screenOrientation="portrait"
            android:theme="@style/Transparent" />

        <activity
            android:name=".custom.imagepicker.ImagePickerActivity"
            android:launchMode="singleTask"
            android:screenOrientation="portrait" />

        <service android:name=".custom.player.service.HMusicPlayService"
            android:enabled="true"/>

        <receiver android:name=".custom.player.notifycation.MusicPlayerReceiver"
            android:enabled="true"
            android:exported="false">
            <intent-filter>
                <action android:name="harvie_play" />
                <action android:name="harvie_pause" />
                <action android:name="harvie_detail" />
                <action android:name="harvie_stop" />
            </intent-filter>
        </receiver>
        <!--监听系统下载完成的广播-->
        <receiver android:name=".custom.receiver.DownloadReceiver">
            <intent-filter>
                <action android:name="DownloadManager.ACTION_DOWNLOAD_COMPLETE"/>
                <action android:name="android.intent.action.DOWNLOAD_COMPLETE" />
                <action android:name="android.intent.action.DOWNLOAD_NOTIFICATION_CLICKED"/>
            </intent-filter>
        </receiver>
    </application>
</manifest>
